| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::text::OCRBeamSearchDecoder::ClassifierCallback Class Reference

Callback with the character classifier is made a class. More...

`#include <opencv2/text/ocr.hpp>`

## Public Member Functions
virtual | ~ClassifierCallback ()
virtual void | eval (InputArray image, std::vector< std::vector< double > > &recognition_probabilities, std::vector< int > &oversegmentation)
| The character classifier must return a (ranked list of) class(es) id('s) More...
int | getStepSize ()
int | getWindowSize ()

## Detailed Description

Callback with the character classifier is made a class.

This way it hides the feature extractor and the classifier itself, so developers can write their own OCR code.

The default character classifier and feature extractor can be loaded using the utility function loadOCRBeamSearchClassifierCNN with all its parameters provided in https://github.com/opencv/opencv_contrib/blob/master/modules/text/samples/OCRBeamSearch_CNN_model_data.xml.gz.

## Constructor & Destructor Documentation

## ◆ ~ClassifierCallback()

virtual cv::text::OCRBeamSearchDecoder::ClassifierCallback::~ClassifierCallback | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ eval()

virtual void cv::text::OCRBeamSearchDecoder::ClassifierCallback::eval | ( | InputArray | image,
|  | std::vector< std::vector< double > > & | recognition_probabilities,
|  | std::vector< int > & | oversegmentation
| ) |  |
| virtual

The character classifier must return a (ranked list of) class(es) id('s)

Parameters

  image | Input image CV_8UC1 or CV_8UC3 with a single letter.
  recognition_probabilities | For each of the N characters found the classifier returns a list with class probabilities for each class.
  oversegmentation | The classifier returns a list of N+1 character locations' x-coordinates, including 0 as start-sequence location.

## ◆ getStepSize()

int cv::text::OCRBeamSearchDecoder::ClassifierCallback::getStepSize | ( |  | ) |
| inline

## ◆ getWindowSize()

int cv::text::OCRBeamSearchDecoder::ClassifierCallback::getWindowSize | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- opencv2/text/ocr.hpp